Skip to content

Changelog kdenlive (4:17.12.3-0ubuntu1)

2018

kdenlive (4:17.12.3-0ubuntu1) bionic; urgency=medium

   * New upstream release (17.12.3)

kdenlive (4:17.12.2-0ubuntu1) bionic; urgency=medium

   * New upstream release (17.11.80)
   * New upstream release (17.11.90)
   * New upstream release (17.12.0)
   * New upstream release (17.12.2)

2017

kdenlive (4:17.08.3-0ubuntu2) bionic; urgency=medium

   * Add missing depends on breeze-icon-theme

kdenlive (4:17.08.3-0ubuntu1) bionic; urgency=medium

   * New upstream bugfix release (17.08.2)
   * New upstream release (17.08.3)

kdenlive (4:17.08.1-0ubuntu1) artful; urgency=medium

   * New upstream bugfix release (17.08.1)

kdenlive (4:17.08.0-0ubuntu1) artful; urgency=medium

   * New upstream release (17.08.0)

kdenlive (4:17.04.3-0ubuntu1) artful; urgency=low

   [ José Manuel Santamaría Lema ]
   * New upstream release (17.04.1)
   * Install translations and add Breaks/Replaces against kde-l10n
   * Use DHMK for debian/rules and add pkg-kde-tools build dependency
   * New upstream release (17.04.2)
   * New upstream release (17.04.3)
 
   [ Rik Mills ]
   * debian/patches: refresh 01-desktop-keywords.diff

kdenlive (4:16.12.3-0ubuntu1) zesty; urgency=low

   [ Darin Miller ]
   * New upstream release (16.12.2)
 
   [ José Manuel Santamaría Lema ]
   * New upstream release (16.12.3)

kdenlive (4:16.12.1-0ubuntu1) zesty; urgency=medium

   [ José Manuel Santamaría Lema ]
   * Fixing install files
   * Update Vcs-Git fields to use https:// instead of git://
 
   [ Clive Johnston ]
   * Add runtime dep on qml-module-qtquick-controls
 
   [ Rik Mills ]
   * New upstream release (16.12.0)
   * Update build deps to use new KF5 style names
   * New upstream release (16.12.1)

2016

kdenlive (4:16.04.3-0ubuntu1) yakkety; urgency=medium

   [ Scarlett Clark ]
   * New upstream release
 
   [ Philip Muškovac ]
   * Update the Vcs URLs now that the repositories are hosted on
     Launchpad
 
   [ Scarlett Clark ]
   * New upstream bugfix release
   * Fix install file.
   * Fix install files.
   * Add missing files.
 
   [ Clive Johnston ]
   * New upstream release (16.04.2)
   * Fixing path in install file
   * New upstream release (16.04.3)
 
   [ Rik Mills ]
   * Remove obsolete menu file from kdenlive.install
 
   [ Simon Quigley ]
   * Add the path for kdenlive.appdata.xml in the install file for
     kdenlive-data and remove obsolete appdata directory

kdenlive (4:15.12.3-0ubuntu1) xenial; urgency=medium

   * New upstream bugfix release
   * New upstream bugfix release

kdenlive (4:15.12.1-0ubuntu1) xenial; urgency=medium

   [ Scarlett Clark ]
   * Debian merge from pmatthaei svn.
   * We are a release behind.
   * Fix merge into kubuntu_unstable
   * Sadly we must keep the epoch.
   * Add missing files.
   * Rearrange changelog to get past epoch validation test.
   * Revert above and merge in changes from unstable,
     where all of my changes were done...
   * Add missing dependencies.
   * Put manpage back in -data.
   * fix merger.
 
   [ Clive Johnston ]
   * Fixing install file
 
   [ Scarlett Clark ]
   * fix merger.

kdenlive (15.12.2-1) unstable; urgency=medium

   * New upstream release.
   * Bump Standards-Version to 3.9.7 (no changes required).

kdenlive (4:15.12.1-0ubuntu1) UNRELEASED; urgency=medium

   [ Clive Johnston ]
   * New upstream release
 
   [ Scarlett Clark ]
   * Debian merge: No remaining changes.
   * New upstream release.
   * Refresh keyword patch.
     Note: Needs to be looked at, I cannot translate the remaining...
   * Fix patch line.
   * Fix EOL patch.
   * Fix patch again.
   * Patch..
   * git diff patch with upstream sources. If it does not apply, I give up.
   * Patch madness, does not apply, attempt 6.
   * 7
   * git diff is picking up wrong line number? Trying 125 as that is the @@ line.
   * Remove patch 02-fix-spelling-error.diff fixed upstream.
   * git rm the patch.

kdenlive (15.12.1-2) unstable; urgency=medium

   * Depend on oxygen-icon-theme instead of kde-runtime.
     Closes: #807424

kdenlive (15.12.1-1) unstable; urgency=medium

   * New upstream release.
     - Drop merged patch 01-render-with-rescale-changes-fps.
     - Fixes wrong number at transcode profile.
       Closes: #809231
   * Raise minimum required mlt version up to 0.9.8.
   * Add dependency on kde-runtime.

2015

kdenlive (15.12.0-1) unstable; urgency=medium

   [ Patrick Matthäi ]
   * Do not ship menu file anymore.
 
   [ Maximiliano Curia ]
   * New upstream release (15.08.3).
   * New upstream release (15.12.0).
   * New upstream release.
     - Fixes crash when deleting tracks.
       Closes: #807978
   * Add upstream patch 01-render-with-rescale-changes-fps: Fix resizing on
     render ressetting frame rate to default 25.
     Closes: #807684

kdenlive (4:15.08.2.1~really15.08.1-0ubuntu2) wily; urgency=medium

   * Add back kubuntu_use_gles_on_armhf.diff

kdenlive (4:15.08.2.1~really15.08.1-0ubuntu1) wily; urgency=medium

   * Revert back to 15.08.1 for https://bugs.kde.org/show_bug.cgi?id=354045

kdenlive (4:15.08.2-0ubuntu1) wily; urgency=medium

   * New upstream release

kdenlive (4:15.08.1-0ubuntu2) wily; urgency=medium

   * Add back kubuntu_use_gles_on_armhf.diff

kdenlive (4:15.08.1-0ubuntu1) wily; urgency=medium

   * New upstream release (15.08.1)

kdenlive (4:15.08.0-0ubuntu2) wily; urgency=medium

   * Link with the OpenGLES libraries.

kdenlive (4:15.08.0-0ubuntu1) wily; urgency=medium

   * new upstream release

kdenlive (15.08.3-1) unstable; urgency=medium

   * New upstream release.
     - Remove merged patch 01-desktop-keywords.
     - Remove merged patch 02-fix-spelling-error.

kdenlive (15.08.2+git20151026-1) unstable; urgency=high

   * New upstream git snapshot.
     - Crashes in application due of missbackported patch are fixed.
       Closes: #802592, #802824
   * Do not ship menu file anymore.
   * Remove deprecated build dependency on kde-workspace-dev.
     Closes: #802339

kdenlive (15.08.2-1) unstable; urgency=medium

   * New upstream release.
   * Add build dependency on kde-workspace-dev for missing FindOpenGLES.cmake.

kdenlive (15.08.1-2) unstable; urgency=medium

   * Add dependency on qml-module-qtquick2.
     Closes: #800625
   * Remove patch 03-armhf-armel-use-opengles.

kdenlive (15.08.1-1) unstable; urgency=medium

   * New upstream release.
     - Refresh hunky patch 01-desktop-keywords.
     - Refresh hunky patch 02-fix-spelling-error.
     - Rewrite patch 03-armhf-armel-use-opengles.

kdenlive (15.08.0-2) unstable; urgency=medium

   * Add dependency on kinit, kded5 and kio. Without it the file browser will
     not work.
     Closes: #797684
   * Add again patch 03-armhf-armel-use-opengles, it was not merged.

kdenlive (15.08.0-1) unstable; urgency=medium

   * New upstream release.
     - Remove merged patch 02-armhf-armel-use-opengles.
     - Add new build dependency qtdeclarative5-dev.
   * Adjust debian/copyright.
   * Add patch 02-fix-spelling-error to fix a spelling error.

kdenlive (4:15.07.90-0ubuntu1) wily; urgency=medium

   * new upstream beta release

kdenlive (4:15.04.2-0ubuntu2) wily; urgency=medium

   * Fix build on armhf by adding kubuntu_use_gles_on_armhf.diff:
       - Add FindOpenGLES.cmake
       - Only look for OpenGL if QtOpenGL is built against it, otherwise use
         OpenGLES

kdenlive (4:15.04.2-0ubuntu1) wily; urgency=medium

   * Fix watch file
   * New upstream release

kdenlive (15.04.3-2) unstable; urgency=medium

   * Cherry pick Ubuntu patch 02-armhf-armel-use-opengles to fix a FTBFS on
     armel and armhf.

kdenlive (15.04.3-1) unstable; urgency=low

   * New upstream release.
     - Rewrite patch 01-desktop-keywords.
     - Rewrite the whole build dependencies.
     - Build against Qt5.
       Closes: #788790
     - Adjust install files.
   * Adjust debian/watch download location.
   * Switch away from libav to ffmpeg.
   * Bump mlt build dependency up to version 0.9.6-3~ to ensure that it has been
     built against ffmpeg and Qt5.
   * Update to DEP5 debian/copyright format.

kdenlive (0.9.50-0ubuntu1) UNRELEASED; urgency=medium

   * KDE Frameworks 5 port

2014

kdenlive (0.9.10-2ubuntu1) vivid; urgency=low

   * Merge from Debian unstable. (LP: #1402216, #1346733)
     Remaining changes:
     - debian/patches/opengl_optional.patch:
       + Make opengl optional for ARM.
   * debian/patches/kubuntu_armhf-missing-include.diff:
     - Dropped, fixed upstream.

kdenlive (0.9.10-2) unstable; urgency=medium

   * Add libv4l-dev as build dependency for webcam support.
   * Exclude docbook files from dh_compress.
     Closes: #765974

kdenlive (0.9.10-1) unstable; urgency=medium

   * New upstream release.
     - Locales are again in the release tarball.
     - Refresh patch 01-desktop-keywords.

kdenlive (0.9.8-2) unstable; urgency=medium

   * Removed build depends on libav.
     Closes: #748277
   * Bump Standards-Version to 3.9.6 (no changes required).
   * Remove build depends on hardening-wrapper.

kdenlive (0.9.8-1ubuntu2) utopic; urgency=medium

   * Add kubuntu_armhf-missing-include.diff to fix compile failure

kdenlive (0.9.8-1ubuntu1) utopic; urgency=low

   * Merge from Debian unstable.  Remaining changes:
     - debian/patches/opengl_optional.patch:
       + Make opengl optional for ARM.

kdenlive (0.9.8-1) unstable; urgency=medium

   * New upstream release.
     - Use profiles from mlt.
       Closes: #739878
     - Locales have been removed in this release.
   * Use debian/clean instead of overwriting dh_auto_clean.
   * Overwrite debian-watch-may-check-gpg-signature warning. There is no GPG
     signature available.

kdenlive (0.9.6-5ubuntu1) trusty; urgency=low

   * Merge from Debian unstable.  Remaining changes:
     - debian/patches/opengl_optional.patch:
       + Make opengl optional for ARM.

2013

kdenlive (0.9.6-5) unstable; urgency=low

   * Bump Standards-Version to 3.9.5 (no changes needed).
   * Don't explicitly request xz compression - dpkg 1.17 does this by default.
   * Point debian/watch to new download location.

kdenlive (0.9.6-4) unstable; urgency=low

   * Suggest khelpcenter4.
     Closes: #721585

kdenlive (0.9.6-3) unstable; urgency=low

   * Move from ffmpeg to avconv.
     Closes: #710419
   * Build depend on libmlt >= 0.9.0.
   * Add patch 01-desktop-keywords to fix lintian warning
     desktop-entry-lacks-keywords-entry.

kdenlive (0.9.6-2ubuntu2) trusty; urgency=low

   * Depends on libav-tools (avconv), instead of ffmpeg.

kdenlive (0.9.6-2ubuntu1) saucy; urgency=low

   * Merge with Debian, remaining changes:
    - add opengl_optional.patch to make opengl optional, for ARM

kdenlive (0.9.6-2) unstable; urgency=low

   * Uploading to unstable.

kdenlive (0.9.6-1) experimental; urgency=low

   * New upstream release.

kdenlive (0.9.4-1ubuntu1) raring; urgency=low

   * merge with debian, remaining change:
    - add opengl_optional.patch to make opengl optional, for ARM

kdenlive (0.9.4-1) experimental; urgency=low

   * New upstream release.
   * Build against mlt version 0.8.8.
   * Migrate package to minimal debhelper rules.

2012

kdenlive (0.9.2-4) experimental; urgency=low

   * Again some fixes for the long description. Thanks to Filipus Klutiero.
     Closes: #693180

kdenlive (0.9.2-3) experimental; urgency=low

   * Bump Standards-Version to 3.9.4 (no changes needed).
   * Switch to xz compression and add a Pre-Depends on dpkg.
   * Fix long description. Thanks to Filipus Klutiero.
     Closes: #689995

kdenlive (0.9.2-2ubuntu1) quantal; urgency=low

   *  For whatever reason, cmake has never been able to find GLES
      and consider it good enough for a GL requirement; since we
      build-dep on what we need anyway, just make GL optional.

kdenlive (0.9.2-2) unstable; urgency=low

   * Correct debian/watch file, the releases are now bzip2 compressed.

kdenlive (0.9.2-1) unstable; urgency=low

   * New upstream release.

kdenlive (0.9-1) unstable; urgency=low

   * New upstream release.
     - Enable localizations.
   * Adjust debian/watch to the new download location.

kdenlive (0.8.2.1+git20120513-1) unstable; urgency=low

   * New upstream git snapshot.

kdenlive (0.8.2.1+git20120422-1) unstable; urgency=low

   * New upstream git snapshot.
   * Bump build dependency on mlt back to 0.7.8.

kdenlive (0.8.2.1+git20120409-1) unstable; urgency=low

   * New upstream git snapshot.
   * Bump build dependency on mlt to 0.7.8+git20120409.

kdenlive (0.8.2.1+git20120406-1) unstable; urgency=low

   * New upstream git snapshot.
     - Remove merged patch 01-glu-include.
     - Localizations are not available in git snapshots.
   * Wrap all debian/control lines.
   * Remove obsolete README.Debian.

kdenlive (0.8.2.1-2) unstable; urgency=low

   * Bump Standards-Version to 3.9.3 (no changes needed).
   * Add patch 01-glu-include from Felix Geyer to build with Qt 4.8.
     Closes: #662769

2011

kdenlive (0.8.2.1-1) unstable; urgency=low

   * New upstream release.

kdenlive (0.8.2-1) unstable; urgency=low

   * New upstream release.
   * Remove broken symlinks from documentation.

kdenlive (0.8+svn5945-1) unstable; urgency=low

   * New upstream svn snapshot.
     - Fixed MLT 0.7.4 incompatibility.
       Closes: #636933
     - Also install new documentations.
   * Add missing makefile targets build-arch and build-indep.

kdenlive (0.8-4) unstable; urgency=low

   * Allow build on kFreeBSD by adding option NO_JOGSHUTTLE.

kdenlive (0.8-3) unstable; urgency=low

   * Bump mlt build dependencies to >= 0.7.
     Closes: #626275

kdenlive (0.8-2) unstable; urgency=low

   * Build with hardening-wrapper.

kdenlive (0.8-1) unstable; urgency=low

   * New upstream release.
   * Bump Standards-Version to 3.9.2 (no changes needed).
   * Fix lintian warning description-synopsis-starts-with-article.

kdenlive (0.7.8+svn5529-1) unstable; urgency=low

   * New upstream svn snapshot.
     - Importing RAW DV files should be fixed.
       Closes: #615606
     - Add new build dependency libqt4-opengl-dev and libqjson-dev.
   * Rebuild against mlt 0.7.0.
     Closes: #620340
   * Wrap build dependencies.

kdenlive (0.7.8-3) unstable; urgency=low

   * Rebuild against mlt 0.6.2.

kdenlive (0.7.8-2) unstable; urgency=low

   * Wrap dependencies.
   * Remove patch 01-lower-down-req-mlt-version, since mlt 0.6.2 is in unstable.
     Closes: #606619

2010

kdenlive (0.7.8-1) unstable; urgency=low

   * New upstream release.
     - Add patch 01-lower-down-req-mlt-version.diff, which sets the required mlt
       version from 0.5.10 to 0.5.6.

kdenlive (0.7.7.1+svn4858-1) unstable; urgency=low

   * New upstream svn snapshot.
     - Croatian translation is working now.
       Closes: #592755
     - Add new build dependency shared-desktop-ontologies and libx11-dev.
   * Bump Standards-Version to 3.9.1 (no changes needed).

kdenlive (0.7.7.1+svn4571-1) unstable; urgency=low

   * New upstream svn snapshot.
     - Fixes FTBFS on armel.
   * Bump Standards-Version to 3.9.0.

kdenlive (0.7.7.1+svn4541-1) unstable; urgency=low

   * New upstream svn snapshot.
     - Fixes incorrect recordmydesktop command line options.
       Closes: #584523
   * Remove not needed build dependencies libiec61883-dev and libavc1394-dev.

kdenlive (0.7.7.1-2) unstable; urgency=low

   * Build against Qt 4.6.
     Closes: #574055

kdenlive (0.7.7.1-1) unstable; urgency=low

   * New upstream release.

kdenlive (0.7.7-1) unstable; urgency=low

   * New upstream release.

kdenlive (0.7.6+svn4305-1) unstable; urgency=low

   * New upstream svn snapshot.
   * Bump Standards-Version to 3.8.4 (no changes needed).

kdenlive (0.7.6+svn4246-1) unstable; urgency=low

   * New upstream svn snapshot.

kdenlive (0.7.6+svn4238-1) unstable; urgency=low

   * New upstream svn snapshot.

kdenlive (0.7.6+svn4223-1) unstable; urgency=low

   * New upstream svn snapshot.

kdenlive (0.7.6+svn4201-1) unstable; urgency=low

   * New upstream svn snapshot.
     - This should fix a FTBFS on armel.

kdenlive (0.7.6+svn4194-1) unstable; urgency=low

   * New upstream svn snapshot.

2009

kdenlive (0.7.6+svn4144-1) unstable; urgency=low

   * New upstream svn snapshot.
   * Fix spelling error in the long description of kdenlive-data.
     Closes: #557488
   * Remove obsolete debian/README.source.
   * Convert package to the 3.0 (quilt) format.

kdenlive (0.7.6-1) unstable; urgency=low

   * New upstream release.

kdenlive (0.7.5+svn3995-1) unstable; urgency=low

   * New upstream svn snapshot.
   * Now it should build on all architectures against the right mlt version.
     Closes: #549340

kdenlive (0.7.5+svn3969-1) unstable; urgency=low

   * New upstream svn snapshot.
     - Drop all merged patches.
     - Drop dpatch.
   * Apply patch from Martin Mazur <debian@teclabs.eu> to increase readibility
     of the long description. Thanks.
     Closes: #548435
   * Use dh_install with --list-missing.

kdenlive (0.7.5-2) unstable; urgency=low

   * Bump Standards-Version to 3.8.3.
     - Add debian/README.source.
   * Wrap build dependency lines.
   * Add patch 01-spanish_translations_fixes, which fixes many spanish
     translations. Thanks to Margarita Manterola <marga@debian.org>.
     Closes: #538450
   * Add patch 02-switch_to_genisoimage, which switches kdenlive from mkisofs to
     genisoimage. Thanks to Didier Raboud <didier@raboud.com>.
     Closes: #547501

kdenlive (0.7.5-1) unstable; urgency=low

   * New upstream release.

kdenlive (0.7.4+svn3592-1) unstable; urgency=low

   * New subversion snapshot of revision 3592.
     - This snapshot fixes a FTBFS on armel.
     - Drop kdenlive.{menu,xpm} and install both from upstream.

kdenlive (0.7.4-2) unstable; urgency=low

   * Fix conflicts against kdenlive from Marillat.
     Closes: #532086
   * Bump Standards-Version to 3.8.2 (no changes needed).
   * We do not have to depend anymore on libmlt-data, this is done by melt now.

kdenlive (0.7.4-1) unstable; urgency=low

   * New upstream release.
     - Bump dependency on libmlt-data to >= 0.4.2, because kdenlive 0.7.4 does
       not work properly with mlt 0.3.8.
   * Change dependency on inigo to melt, it has been renamed with the new mlt
     version.

kdenlive (0.7.3-4) unstable; urgency=low

   * Depend on ffmpeg.
   * Recommend frei0r-plugins, recordmydesktop, dvdauthor and genisoimage.
     They are very useful for kdenlive.
   * Add conflicts against kdenlive (<< 0.7.2.1) to kdenlive-data, because it
     clashes with the old debian-multimedia.org version.
     Closes: #529048
   * Remove deprecated dh_desktop call.

kdenlive (0.7.3-3) unstable; urgency=low

   * Simplify debian/rules by not copying all necessary data to build first.
     cmake natively supports ot of source builds.
   * Add pkg-config as build dependecy, so that the cmake script could determine
     the path to mlt and his profiles. This disables the annoying question on
     the initial kdenlive start.
   * Add versioned dependency on libmlt-data (>= 0.3.8), because kdenlive crashs
     with libmlt-data 0.3.6.
     Closes: #529163

kdenlive (0.7.3-2) unstable; urgency=low

   * Link to the LGPL-2 instead of GPL-2 for src/regiongrabber.{cpp,h} in
     debian/copyright.
   * Remove ccache build dependencie and do not override the default compiler in
     debian/rules to the ccache g++ one to avoid kdenlive FTBFSing on Debian
     buildds.
     Closes: #528967
   * Add upstreams README to kdenlive.docs.

kdenlive (0.7.3-1) unstable; urgency=low

   * New upstream release.
   * Change my email address.
   * Remove DM-Upload-Allowed control field.
   * Fix typo in get-orig-source target.
   * Fix reference to the GPL license (missing whitespace).

kdenlive (0.7.2.1-1) unstable; urgency=low

   * Initial release.
     Closes: #180510